%define api_version 3.0

Name:          sun-ejb-persistence-3.0-api
Version:       1.0
Release:       %mkrel 1
Summary:       Enterprise JavaBeans (EJB) 3.0
Group:         Development/Java
License:       CDDL
Url:           http://www.jcp.org/en/jsr/detail?id=220
Source0:       http://mirrors.ibiblio.org/pub/mirrors/maven2/javax/persistence/persistence-api/1.0/persistence-api-1.0-sources.jar
Source1:       http://mirrors.ibiblio.org/pub/mirrors/maven2/javax/persistence/persistence-api/1.0/persistence-api-1.0.pom
Patch0:        sun-ejb-persistence-3.0-api-1.0-pom_xml.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch


%description
The Enterprise JavaBeans architecture is a component architecture for the
development and deployment of component-based business applications.
The purpose of Enterprise JavaBeans (EJB) 3.0 is to improve the EJB architecture
by reducing its complexity from the developer's point of view.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -T -q -c
mkdir -p src/main/java
(
  cd src/main/java
  %jar -xf %{SOURCE0}
  rm -rf META-INF
)
cp -pr %{SOURCE1} pom.xml
%patch0 -p0

%build

mvn-rpmbuild install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/persistence-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Thu Aug 11 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 132641
- Clean spec file

  + gil <gil>
    - imported package sun-ejb-persistence-3.0-api

